org.fourthline.cling.support.model.dlna.types

## Class NormalPlayTimeRange

- java.lang.Object
- - org.fourthline.cling.support.model.dlna.types.NormalPlayTimeRange

-     public class NormalPlayTimeRange
      extends Object

  Author:
    Mario Franco

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NormalPlayTimeRange(long timeStart, long timeEnd)`
    `NormalPlayTimeRange(NormalPlayTime timeStart, NormalPlayTime timeEnd)`
    `NormalPlayTimeRange(NormalPlayTime timeStart, NormalPlayTime timeEnd, NormalPlayTime timeDuration)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getString()`
    `String` | `getString(boolean includeDuration)`
    `NormalPlayTime` | `getTimeDuration()`
    `NormalPlayTime` | `getTimeEnd()`
    `NormalPlayTime` | `getTimeStart()`
    `static NormalPlayTimeRange` | `valueOf(String s)`
    `static NormalPlayTimeRange` | `valueOf(String s, boolean mandatoryTimeEnd)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PREFIX

          public static final String PREFIX

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NormalPlayTimeRange

          public NormalPlayTimeRange(long timeStart,
                             long timeEnd)

    - #### NormalPlayTimeRange

          public NormalPlayTimeRange(NormalPlayTime timeStart,
                             NormalPlayTime timeEnd)

    - #### NormalPlayTimeRange

          public NormalPlayTimeRange(NormalPlayTime timeStart,
                             NormalPlayTime timeEnd,
                             NormalPlayTime timeDuration)

  - ### Method Detail

    - #### getTimeStart

          public NormalPlayTime getTimeStart()

      Returns:
        the timeStart

    - #### getTimeEnd

          public NormalPlayTime getTimeEnd()

      Returns:
        the timeEnd

    - #### getTimeDuration

          public NormalPlayTime getTimeDuration()

      Returns:
        the timeDuration

    - #### getString

          public String getString()

      Returns:
        String format of Normal Play Time Range for response message header

    - #### getString

          public String getString(boolean includeDuration)

      Returns:
        String format of Normal Play Time Range for response message header

    - #### valueOf

          public static NormalPlayTimeRange valueOf(String s)
                                             throws InvalidValueException

      Throws:
        `InvalidValueException`

    - #### valueOf

          public static NormalPlayTimeRange valueOf(String s,
                                    boolean mandatoryTimeEnd)
                                             throws InvalidValueException

      Throws:
        `InvalidValueException`

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.